angular.module('ngApp').controller('ListsCtrl', function($scope, $rootScope, $ionicModal, $ionicScrollDelegate, $sce, $stateParams) {

$ionicModal.fromTemplateUrl('list-modal.html', {
	scope: $scope,
	animation: 'slide-in-up',
	hardwareBackButtonClose: true
}).then(function(modal) {
	$scope.modal = modal;
});

$scope.openModal = function(index,fetureImage) {
	// if(fetureImage) $scope.image = document.getElementById('img' + hash + '-' + index).src;
	// $scope.fetureImage = fetureImage;
	$scope.content = $sce.trustAsHtml(document.getElementById('des' + hash + '-' + index).innerHTML);
	$ionicScrollDelegate.$getByHandle('modal').scrollTop();
	$scope.modal.show();
	$rootScope.openModal = $scope.modal;
};

$scope.closeModal = function() {
	$scope.modal.hide();
};

// Cleanup the modal when we're done with it!
$scope.$on('$destroy', function() {
	$scope.modal.remove();
});

$scope.share = function() {
	var tmp = document.createElement("DIV");
	tmp.innerHTML = $scope.content;
	window.plugins.socialsharing.share(getTextFromNode(tmp,true) , null, null, null);
};

if($stateParams.search){
	document.getElementById("list-body-" + hash).style.display = "none";
	var searchTerm = $stateParams.search;
	$scope.search = true;
	$scope.lists = [];
	for(var i=0; i < listcount ; i++)
	{
		d = document.getElementById("des" + hash + "-" + i).innerHTML;
		if(d.indexOf(searchTerm) > -1)
		{
			document.getElementById("des" + hash + "-" + i).innerHTML = doHighlight(d, searchTerm);
			if(d.indexOf('img' + hash + '-' + i) > -1)
			{
				ImgSrc = document.getElementById('img' + hash + '-' + i).src;
			}else{
				ImgSrc = '';
			}
			$scope.lists.push({
				title: document.getElementById('title' + hash + '-' + i).innerHTML,
				brief: document.getElementById('brief' + hash + '-' + i).innerHTML,
				image: ImgSrc,
				index : i
			});
		}
	}
}
})
